import "./tasks/rmats.wdl" as rmats


workflow {{ project_name }} {
    String sample_id
    File b1_txt
    File b2_txt
    File reference_gtf_file
    

    String rmats_docker
    String rmats_cluster
    String disk_size	

	call rmats.rmats as rmats {
		input:
		b1_txt = b1_txt,
		b2_txt = b2_txt,
		reference_gtf_file = reference_gtf_file,
		sample_id = sample_id,
		docker = rmats_docker,
		cluster = rmats_cluster,
		disk_size = disk_size
	}
}